# Widget Configuration

After you [initialise widget,](/docs/widget.html/initialise-widget.md) for configuration you can use following optional parameters:&#x20;

<table><thead><tr><th width="284.39014373716634">Paramater</th><th width="285.56980047592515">Description</th><th>Data format</th></tr></thead><tbody><tr><td><strong><code>asset_type</code></strong></td><td>currency code</td><td>string</td></tr><tr><td><strong><code>to_address</code></strong></td><td>wallet address to send assets to</td><td>string</td></tr><tr><td><strong><code>amount_type</code></strong></td><td>"fiat" or "crypto"</td><td>string</td></tr><tr><td><strong><code>amount</code></strong></td><td>amount of assets</td><td>number</td></tr><tr><td><strong><code>network</code></strong></td><td>supported network </td><td>string</td></tr><tr><td><strong><code>webhook_url</code></strong></td><td>postback url</td><td>string</td></tr><tr><td><strong><code>additional_fields[0]</code></strong></td><td>your custom data</td><td>string</td></tr><tr><td><strong><code>additional_fields[key]</code></strong></td><td>your custom data</td><td>string</td></tr></tbody></table>

* **`asset_type`-** requires currency code for supported assets, using this parameter locks asset type to enable only buying of this asset and prevents user from changing to different cryptocurrency, should be in lowercase
* **`to_address`**- setting this parameter locks user from changing destination wallet address. If `to_address` is defined then either `asset_type` or network parameters also need to be defined
* **`amount_type`**- possible options for this parameters are "`fiat`" or "`crypto`". Default fiat is EUR. This field is **required if** `amount` parameter is being sent, and it defines whether the defined `amount` is crypto or fiat
* **`amount`**- define how much user will be buying, setting this parameter locks user from changing amount value&#x20;
* **`webhook_url`**-  destination for postback data
* **`additional_fields`**- can use number or string as key, there is no limit for number of additional fields used&#x20;
* **`network`**- defines supported network and filters available coins shown in UI according to it

#### **Request Example**

```
POST https://api.kriptomat.io/widget/init 

{
    "token": "6a7d2e91d4cff64939450c74001da4f24fbabd2abae8b2fc1c79a561da9de14a",
    "asset_type": "eth",
    "to_address": "0x7873ce9E57c6aEEA16aD6AE759CE955736f14e96",
    "amount": 35,
    "amount_type": "fiat",
}
```

#### **Response Example**

```
{
	"status": "true",
	"data":
	{
		"url": "https://widget.kriptomat.io/?to_address=1DJ4N7mdUazDvrDe3H5eeRJtoXuAUSbTWy&amount=35&asset_type=eth&uuid=c472856c-d248-4e53-ae49-1d2f088cb732",
	}
}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developer.kriptomat.io/docs/widget.html/widget-configuration.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
